TEX1DARRAYLOD(3Cg)

NAME
tex1DARRAYlod - 1D texture array lookup with specified level of detail and optional texel offset.

SYNOPSIS
  float4 tex1DARRAYlod(sampler1DARRAY samp, float4 s)
  float4 tex1DARRAYlod(sampler1DARRAY samp, float4 s, int texelOff)

  int4 tex1DARRAYlod(isampler1DARRAY samp, float4 s)
  int4 tex1DARRAYlod(isampler1DARRAY samp, float4 s, int texelOff)

  unsigned int4 tex1DARRAYlod(usampler1DARRAY samp, float4 s)
  unsigned int4 tex1DARRAYlod(usampler1DARRAY samp, float4 s, int texelOff)

PARAMETERS

samp
    Sampler array to lookup.

s.x Coordinates to perform the lookup.

s.y Texture array layer.

s.w Level of detail.

texelOff
    Offset to be added to obtain the final texel.

DESCRIPTION
Performs a texture lookup with a specified level of detail in sampler samp using coordinates s, the texture to be sampled is selected from the layer specified in the coordinates.

PROFILE SUPPORT
tex1DARRAYlod is only supported in gp4 and newer profiles.

SEE ALSO
tex1DARRAY, tex1DARRAYbias